Subject: Re: Multiple Levels of LMM agents (was: RE: [mobile-ip] Revised L ocalized Mobility Management Requirement s)

From: James Kempf <[email-masked]>
Date: Tue, 24 Apr 2001 16:51:19 -0700 (PDT)

Hi Phil,

>If the LMM "follows" the mobile i.e. is virtual, it can "move" (by transferring 
its
>context (using SeaMoby CT) and by setting up temporary tunnels) to any
>LMM hosting router in any possible architecture.  So it does not need to reside
>in an AR or a BR.  In fact the same method can work the mixes of both network
>types and it works irrespective of crossing administrative domains or
>routing domains (subnets).  I guess I would argue that the LMM becomes
>like an OBAST agent but I won't go down that rat hole.

Can you explain how this would work irrespective of subnets? The 
LMM is acting as a router, if subnet routing is being used, then
it pretty much has to take into account the subnet structure, doesn't it? The CN
directs packets to the global CoA on the LMM instead of directly to the MN, the 
LMM tunnels or otherwise arranges for delivery of the packets to the MN.

>I guess I thought I was suggesting a "third" alternative.
>

Well, maybe so. The LMM as FA scheme I outlined would work, and maybe
you have something else in mind. It sure would be great if we could
get rid of having to tie down the LMM, but I'm having trouble seeing
how this could work.

		jak

---

From: "Phil Neumiller" <[email-masked]>
Date: Tue, 24 Apr 2001 19:49:12 -0500

Hi James,

I just got back from taking the dog for a walk (and me!).  I will
take a stab at further explaining this James (last one for tonight).

----- Original Message -----
From: "James Kempf" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, April 24, 2001 6:51 PM
Subject: Re: Multiple Levels of LMM agents (was: RE: [mobile-ip] Revised L ocalized Mobility Management Requirement s)

>
> Can you explain how this would work irrespective of subnets?

I think I made this argument once in the MM design team about 6 months
ago but I don't feel like digging through all the archives, so let me take
another shot at it.

The handoff destination LMM (if hosted in a router) is routable from the
source LMM even if it is in a different subnet right?  So as far as CT (and
setting up a temporary tunnel) why do I care about crossing a subnet
boundary?  I already stated that the neighboring LMM hosts will "know"
about each other so their security associations are ideally pre-configured
thus contributing no additive latency (also the assumption is they have
routes to each other - something I have called "sidehaul" in a prior life).
Sidehaul does add overhead, but only while the "backhaul" pipe is
re-pointing itself at the destination LMM.

> The
> it pretty much has to take into account the subnet structure, doesn't it?

No.  This is the beauty of peer-to-peer design.  All you need to know is the
IP address of the source and destination.  Router hierarchy really does not
matter at all.

---

From: Theo Pagtzis <[email-masked]>
Date: Tue, 24 Apr 2001 18:24:41 -0700

> > Can you explain how this would work irrespective of subnets?

I think I forgot to state a basic assumption under LMMs here....

Not all ARs in a domain are assumed to be LMM-enabled.. this is fundamental to the LMM's operation...which reminds me...

Another requirement :

"An LMM scheme MUST be supported at the very minimum by a sparse (proper subset) routing element population within a
single administrative domain."

I think this is also quite important and has not been adressed specifically, cheers Phil.

So the LMM agents need to know how to reach their immediate neighbours..

Theo

UCL/ Mobile Systems